> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getNftEditions

> 솔라나 NFT 마스터 에디션의 모든 에디션과 프린트를 에디션 번호와 메타데이터를 포함하여 페이지 매김 기능과 함께 검색합니다.

## 요청 매개변수

<ParamField body="mint" type="string" required>
  모든 에디션을 검색할 솔라나 마스터 에디션 NFT의 민트 주소입니다.
</ParamField>

<ParamField body="page" type="number">
  솔라나 NFT 에디션 결과를 페이지 매김하여 탐색하기 위한 페이지 번호입니다.
</ParamField>

<ParamField body="limit" type="number">
  단일 요청에서 반환할 최대 솔라나 NFT 에디션 수입니다.
</ParamField>


## OpenAPI

````yaml ko/openapi/das-api/getNftEditions.yaml POST /
openapi: 3.1.0
info:
  title: Solana NFT 에디션 추적 API
  version: 1.0.0
  description: >
    Solana 블록체인에서 마스터 에디션의 한정판 NFT를 추적하고 검색하기 위한 고급 Solana 디지털 자산 표준 (DAS)
    API입니다. 이 전문 API는 에디션 기반 NFT 컬렉션에 대한 포괄적인 가시성을 제공하여, 애플리케이션이 에디션 번호를 검증하고,
    인쇄 배포를 추적하며, 민팅 진행 상황을 모니터링하고, Solana상의 단일 마스터 아트워크에서 파생된 NFT 인쇄물의 전체 세트를
    접근할 수 있도록 합니다.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://mainnet.helius-rpc.com
    description: 메인넷 RPC 엔드포인트
  - url: https://devnet.helius-rpc.com
    description: Devnet RPC 엔드포인트
security: []
paths:
  /:
    post:
      tags:
        - RPC
      summary: getNftEditions
      description: >
        Solana 블록체인에서 마스터 NFT로부터 생성된 모든 한정판 프린트를 검색합니다.

        이 전문 에디션 추적 API는 특정 마스터 에디션에서 민팅된 모든 개별 NFT 에디션의 고유한 민트 주소, 에디션 번호 및 현재
        공급 정보를 함께 포함한 전체 목록을 반환합니다. 한정판 아트워크를 관리하는 NFT 플랫폼, 에디션 희소성을 추적하는 컬렉터 및
        Solana NFT 생태계 내의 정품 프린트를 검증하는 마켓플레이스에 필수적입니다.
      operationId: rpc
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - id
                - method
                - params
              properties:
                jsonrpc:
                  type: string
                  enum:
                    - '2.0'
                  description: JSON-RPC 프로토콜의 버전입니다.
                  default: '2.0'
                id:
                  type: string
                  description: 요청을 식별하기 위한 ID입니다.
                  example: '1'
                  default: '1'
                method:
                  type: string
                  enum:
                    - getNftEditions
                  description: 호출할 DAS 메서드의 이름입니다.
                  default: getNftEditions
                params:
                  type: object
                  default:
                    mint: Ey2Qb8kLctbchQsMnhZs5DjY32To2QtPuXNwWvk4NosL
                  properties:
                    mint:
                      type: string
                      description: 모든 에디션을 검색할 Solana 마스터 에디션 NFT의 민트 주소입니다.
                      example: Ey2Qb8kLctbchQsMnhZs5DjY32To2QtPuXNwWvk4NosL
                    page:
                      type: integer
                      description: Solana NFT 에디션 결과를 페이지네이션하기 위한 페이지 번호입니다.
                      example: 1
                    limit:
                      type: integer
                      description: 단일 요청에서 반환할 Solana NFT 에디션의 최대 수입니다.
                      example: 100
                  required:
                    - mint
      responses:
        '200':
          description: 성공적인 응답
          content:
            application/json:
              schema:
                type: object
                properties:
                  last_indexed_slot:
                    type: integer
                    description: 이 슬롯까지의 모든 데이터가 인덱싱되었음이 보장됩니다.
                    example: 365750752
                  total:
                    type: integer
                    description: 이 마스터 에디션에서 민팅된 한정판 Solana NFT의 총 수량입니다.
                    example: 1
                  limit:
                    type: integer
                    description: 요청된 NFT 에디션의 최대 수입니다.
                    example: 1
                  page:
                    type: integer
                    description: 결과의 현재 페이지입니다.
                    example: 1
                  master_edition_address:
                    type: string
                    description: Solana NFT 프린트 에디션을 제어하는 마스터 에디션 NFT의 Solana 블록체인 주소입니다.
                    example: 8SHfqzJYABeGfiG1apwiEYt6TvfGQiL1pdwEjvTKsyiZ
                  supply:
                    type: integer
                    description: 이 마스터 에디션에서 민팅된 Solana NFT 에디션의 현재 공급량입니다.
                    example: 61
                  max_supply:
                    type: integer
                    description: 이 마스터 에디션에서 민팅할 수 있는 최대 가능 공급량입니다.
                    example: 69
                  editions:
                    type: array
                    description: 이 마스터 에디션에서 민팅된 개별 Solana NFT 에디션의 배열입니다.
                    items:
                      type: object
                      properties:
                        mint:
                          type: string
                          description: 이 개별 Solana NFT 에디션의 고유한 민트 주소입니다.
                          example: GJvFDcBWf6aDncd1TBzx2ou1rgLFYaMBdbYLBa9oTAEw
                        edition_address:
                          type: string
                          description: NFT의 이 에디션 계정의 Solana 블록체인 주소입니다.
                        edition:
                          type: integer
                          description: 인쇄 시리즈의 이 Solana NFT의 순차적인 에디션 번호입니다.
                        burnt: false
        '400':
          description: 잘못된 요청. 서버가 구문 오류로 인해 요청을 이해할 수 없습니다.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32602
                      message:
                        type: string
                        example: Invalid request parameters.
                  id:
                    type: string
                    example: '1'
        '401':
          description: 인증되지 않음. 클라이언트는 요청된 응답을 받기 위해 인증해야 합니다.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32001
                      message:
                        type: string
                        example: Authentication failed. Missing or invalid API key.
                  id:
                    type: string
                    example: '1'
        '403':
          description: 금지됨. 클라이언트는 콘텐츠에 대한 접근 권한이 없습니다.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32003
                      message:
                        type: string
                        example: You do not have permission to access this resource.
                  id:
                    type: string
                    example: '1'
        '404':
          description: 찾을 수 없음. 서버가 요청한 리소스를 찾을 수 없습니다.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32004
                      message:
                        type: string
                        example: No NFT editions found for the specified mint address.
                  id:
                    type: string
                    example: '1'
        '429':
          description: 요청이 너무 많음. 사용자가 일정 시간 내에 너무 많은 요청을 보냈습니다.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32029
                      message:
                        type: string
                        example: Rate limit exceeded. Please try again later.
                  id:
                    type: string
                    example: '1'
        '500':
          description: 내부 서버 오류. 서버가 처리 방법을 모르는 상황이 발생했습니다.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32000
                      message:
                        type: string
                        example: An unexpected error occurred on the server.
                  id:
                    type: string
                    example: '1'
      security:
        - ApiKeyQuery: []
components:
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      in: query
      name: api-key
      description: >-
        당신의 Helius API 키입니다. [대시보드](https://dashboard.helius.dev/api-keys)에서 무료로
        하나를 받을 수 있습니다.

````